IdentifiantMot de passe
Loading...
Mot de passe oublié ?Je m'inscris ! (gratuit)
Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

JPA Java Discussion :

Problème de datasource avec dynamoDB


Sujet :

JPA Java

  1. #1
    Membre actif
    Inscrit en
    juin 2005
    Messages
    577
    Détails du profil
    Informations forums :
    Inscription : juin 2005
    Messages : 577
    Points : 240
    Points
    240
    Par défaut Problème de datasource avec dynamoDB
    Bonjour

    Un ami m'a envoyé son application JEE utilisant spring boot et comme SGBD dynamoDB. J'ai pu l'intégrer à Eclipse et en exécutant mvn clean install je n'ai aucune erreur. Sauf que quand je lance l'application, j'ai ce message d'erreur:

    APPLICATION FAILED TO START
    ***************************

    Description:

    Failed to configure a DataSource: 'url' attribute is not specified and no embedded datasource could be configured.

    Reason: Failed to determine a suitable driver class


    Action:

    Consider the following:
    If you want an embedded database (H2, HSQL or Derby), please put it on the classpath.
    If you have database settings to be loaded from a particular profile you may need to activate it (no profiles are currently active).
    Voici mon fichier application.properties:

    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    amazon.dynamodb.endpoint=http://localhost:8000/
    amazon.aws.accesskey=key
    amazon.aws.secretkey=key2
    aws.enabled=false
     
    spring.thymeleaf.check-template-location=true
    spring.thymeleaf.cache=false
    spring.thymeleaf.enabled=true
    spring.thymeleaf.prefix=classpath:/templates/
    spring.thymeleaf.suffix=.html
    spring.thymeleaf.mode=MONAPPLIHTML5
    spring.thymeleaf.encoding=UTF-8
    spring.thymeleaf.servlet.content-type=text/html
     
    spring.servlet.multipart.max-file-size=10MB
    spring.servlet.multipart.max-request-size=10MB
     
    spring.jpa.properties.jadira.usertype.autoRegisterUserTypes = true
    Et voici le pom.xml

    Code xml : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44
    45
    46
    47
    48
    49
    50
    51
    52
    53
    54
    55
    56
    57
    58
    59
    60
    61
    62
    63
    64
    65
    66
    67
    68
    69
    70
    71
    72
    73
    74
    75
    76
    77
    78
    79
    80
    81
    82
    83
    84
    85
    86
    87
    88
    89
    90
    91
    92
    93
    94
    95
    96
    97
    98
    99
    100
    101
    102
    103
    104
    105
    106
    107
    108
    109
    110
    111
    112
    113
    114
    115
    116
    117
    118
    119
    120
    121
    122
    123
    124
    125
    126
    127
    128
    129
    130
    131
    132
    133
    134
    135
    136
    137
    138
    139
    140
    141
    142
    143
    144
    145
    146
    147
    148
    149
    150
    151
    152
    153
    154
    155
    156
    157
    158
    159
    160
    161
    162
    163
    164
    165
    166
    167
    168
    169
    170
    171
    172
    173
    174
    175
    176
    177
    178
    179
    180
    181
    182
    183
    184
    185
    186
    187
    188
    189
    190
    191
    192
    193
    194
    195
    196
    197
    198
    199
    200
    201
    202
    203
    204
    205
    206
    207
    208
    209
    210
    211
    212
    213
    214
    215
    216
    217
    218
    219
    <?xml version="1.0" encoding="UTF-8"?>
    <project xmlns="http://maven.apache.org/POM/4.0.0"
    	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    	<modelVersion>4.0.0</modelVersion>
     
    	<groupId>com.la</groupId>
    	<artifactId>mon-appli</artifactId>
    	<version>0.0.1-SNAPSHOT</version>
    	<packaging>war</packaging>
     
    	<name>monAppli</name>
    	<description>monAppli project</description>
     
    	<parent>
    		<groupId>org.springframework.boot</groupId>
    		<artifactId>spring-boot-starter-parent</artifactId>
    		<version>2.3.1.RELEASE</version>
    		<relativePath /> <!-- lookup parent from repository -->
    	</parent>
     
    	<properties>
    		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    		<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
    		<java.version>1.8</java.version>
    		<javax.xml.version>2.3.0</javax.xml.version>
        <spring-cloud.version>Hoxton.SR4</spring-cloud.version>
        <aws.java.sdk.version>2.13.7</aws.java.sdk.version>
        <aws-java-sdk-bom.version>1.11.769</aws-java-sdk-bom.version>
        <aws-java-sdk-v2-bom.version>2.13.3</aws-java-sdk-v2-bom.version>
    	</properties>
     
    	<dependencies>
    		<dependency>
    			<groupId>org.springframework.boot</groupId>
    			<artifactId>spring-boot-starter-data-jpa</artifactId>
    		</dependency>
    		<dependency>
    			<groupId>org.springframework.boot</groupId>
    			<artifactId>spring-boot-starter-data-rest</artifactId>
    		</dependency>
    		<dependency>
    			<groupId>org.springframework.boot</groupId>
    			<artifactId>spring-boot-starter-security</artifactId>
    		</dependency>
    		<dependency>
    			<groupId>org.springframework.boot</groupId>
    			<artifactId>spring-boot-starter-web</artifactId>
    		</dependency>
    		<dependency>
    			<groupId>org.springframework.boot</groupId>
    			<artifactId>spring-boot-devtools</artifactId>
    			<optional>true</optional>
    		</dependency>
    		<dependency>
    			<groupId>org.springframework.boot</groupId>
    			<artifactId>spring-boot-starter-test</artifactId>
    			<scope>test</scope>
    		</dependency>
        <dependency>
          <groupId>org.projectlombok</groupId>
          <artifactId>lombok</artifactId>
          <scope>provided</scope>
        </dependency>
    		<!-- <dependency> -->
    		<!-- <groupId>org.springframework.security</groupId> -->
    		<!-- <artifactId>spring-security-test</artifactId> -->
    		<!-- <scope>test</scope> -->
    		<!-- </dependency> -->
    		<dependency>
    			<groupId>javax.xml.bind</groupId>
    			<artifactId>jaxb-api</artifactId>
    		</dependency>
     
    		<dependency>
    			<groupId>org.apache.poi</groupId>
    			<artifactId>poi-ooxml</artifactId>
    			<version>4.1.2</version>
    		</dependency>
    		<dependency>
    			<groupId>org.springframework.boot</groupId>
    			<artifactId>spring-boot-starter-thymeleaf</artifactId>
    		</dependency>
        <dependency>
          <groupId>com.amazonaws</groupId>
          <artifactId>aws-java-sdk-bom</artifactId>
          <version>${aws-java-sdk-bom.version}</version>
          <type>pom</type>
          <scope>import</scope>
        </dependency>
        <!-- https://mvnrepository.com/artifact/com.amazonaws/aws-java-sdk-dynamodb -->
        <dependency>
          <groupId>com.amazonaws</groupId>
          <artifactId>aws-java-sdk-dynamodb</artifactId>
          <version>1.11.837</version>
        </dependency>
     
     
        <!-- https://mvnrepository.com/artifact/org.webjars/bootstrap -->
        <dependency>
          <groupId>org.webjars</groupId>
          <artifactId>bootstrap</artifactId>
          <version>4.5.0</version>
        </dependency>
     
     
        <dependency>
    			<groupId>com.github.vandeseer</groupId>
    			<artifactId>easytable</artifactId>
    			<version>0.5.0</version>
    		</dependency>
    		<!-- https://mvnrepository.com/artifact/org.apache.pdfbox/pdfbox -->
    		<dependency>
    			<groupId>org.apache.pdfbox</groupId>
    			<artifactId>pdfbox</artifactId>
    			<version>2.0.19</version>
    		</dependency>
    		<!-- https://mvnrepository.com/artifact/org.apache.commons/commons-lang3 -->
    		<dependency>
    			<groupId>org.apache.commons</groupId>
    			<artifactId>commons-lang3</artifactId>
    		</dependency>
    		<!-- https://mvnrepository.com/artifact/org.apache.commons/commons-collections4 -->
    		<dependency>
    			<groupId>org.apache.commons</groupId>
    			<artifactId>commons-collections4</artifactId>
    			<version>4.4</version>
    		</dependency>
        <dependency>
          <groupId>io.github.openfeign</groupId>
          <artifactId>feign-httpclient</artifactId>
          <version>10.8</version>
        </dependency>
     
        <dependency>
          <groupId>com.amazonaws</groupId>
          <artifactId>aws-java-sdk-bom</artifactId>
          <version>${aws-java-sdk-bom.version}</version>
          <type>pom</type>
          <scope>import</scope>
        </dependency>
        <dependency>
          <groupId>software.amazon.awssdk</groupId>
          <artifactId>bom</artifactId>
          <version>${aws.java.sdk.version}</version>
          <type>pom</type>
          <scope>import</scope>
        </dependency>
        <!-- https://mvnrepository.com/artifact/software.amazon.awssdk/dynamodb -->
        <dependency>
          <groupId>software.amazon.awssdk</groupId>
          <artifactId>dynamodb</artifactId>
          <version>2.13.42</version>
        </dependency>
        <dependency>
          <groupId>software.amazon.awssdk</groupId>
          <artifactId>s3</artifactId>
          <version>2.13.42</version>
        </dependency>
     
        <dependency>
          <groupId>jakarta.validation</groupId>
          <artifactId>jakarta.validation-api</artifactId>
          <version>2.0.2</version>
        </dependency>
     
      </dependencies>
     
    	<build>
    		<plugins>
    			<plugin>
    				<groupId>org.springframework.boot</groupId>
    				<artifactId>spring-boot-maven-plugin</artifactId>
    			</plugin>
    			<plugin>
    				<artifactId>maven-resources-plugin</artifactId>
    			</plugin>
    		</plugins>
    	</build>
     
    	<repositories>
    		<repository>
    			<id>spring-snapshots</id>
    			<name>Spring Snapshots</name>
    			<url>https://repo.spring.io/snapshot</url>
    			<snapshots>
    				<enabled>true</enabled>
    			</snapshots>
    		</repository>
    		<repository>
    			<id>spring-milestones</id>
    			<name>Spring Milestones</name>
    			<url>https://repo.spring.io/milestone</url>
    			<snapshots>
    				<enabled>false</enabled>
    			</snapshots>
    		</repository>
    	</repositories>
     
    	<pluginRepositories>
    		<pluginRepository>
    			<id>spring-snapshots</id>
    			<name>Spring Snapshots</name>
    			<url>https://repo.spring.io/snapshot</url>
    			<snapshots>
    				<enabled>true</enabled>
    			</snapshots>
    		</pluginRepository>
    		<pluginRepository>
    			<id>spring-milestones</id>
    			<name>Spring Milestones</name>
    			<url>https://repo.spring.io/milestone</url>
    			<snapshots>
    				<enabled>false</enabled>
    			</snapshots>
    		</pluginRepository>
    	</pluginRepositories>
     
    </project>

    Et aussi lorsque je démarre le dynamoDB en exécutant cette commande:

    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    $ java -Djava.library.path=./DynamoDBLocal_lib -jar DynamoDBLocal.jar -sharedDb
    j'ai ce message d'erreur:

    Initializing DynamoDB Local with the following configuration:
    Port: 8000
    InMemory: false
    DbPath: null
    SharedDb: true
    shouldDelayTransientStatuses: false
    CorsParams: *

    ERROR StatusLogger Log4j2 could not find a logging implementation. Please add log4j-core to the classpath. Using SimpleLogger to log to the console...
    Pourtant j'ai téléchargé et copié le log4j-core.jar dans le répertoire où se trouve DynamoDBLocal.jar.

    Je ne sais pas si c'est dû à ce message d'erreur.

    Merci

  2. #2
    Membre averti
    Profil pro
    Inscrit en
    janvier 2009
    Messages
    181
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : janvier 2009
    Messages : 181
    Points : 307
    Points
    307
    Par défaut
    Le projet est géré par Maven. C'est un projet Maven. Il est construit par Maven. Il faut donc ajouter toutes les librairies à utiliser dans le POM.

    A rechercher par Maver repository:
    https://mvnrepository.com/

  3. #3
    Membre actif
    Inscrit en
    juin 2005
    Messages
    577
    Détails du profil
    Informations forums :
    Inscription : juin 2005
    Messages : 577
    Points : 240
    Points
    240
    Par défaut
    J'ai rajouté les dépendances mais toujours la même erreur de datasource:

    Code xml : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    <!--Dependency:-->
    <dependencies>
        <dependency>
           <groupId>com.amazonaws</groupId>
           <artifactId>DynamoDBLocal</artifactId>
           <version>[1.12,2.0)</version>
        </dependency>
    </dependencies>
    <!--Custom repository:-->
    <repositories>
        <repository>
           <id>dynamodb-local-oregon</id>
           <name>DynamoDB Local Release Repository</name>
           <url>https://s3-us-west-2.amazonaws.com/dynamodb-local/release</url>
        </repository>
    </repositories>

  4. #4
    Membre averti
    Profil pro
    Inscrit en
    janvier 2009
    Messages
    181
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : janvier 2009
    Messages : 181
    Points : 307
    Points
    307
    Par défaut
    Code XML : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    6
    <!-- https://mvnrepository.com/artifact/org.apache.logging.log4j/log4j-core -->
    <dependency>
        <groupId>org.apache.logging.log4j</groupId>
        <artifactId>log4j-core</artifactId>
        <version>2.14.0</version>
    </dependency>

    trouvé grâce à des recherches dans le sitie maven repository.

    Ne pas oublier
    Puis

  5. #5
    Membre actif
    Inscrit en
    juin 2005
    Messages
    577
    Détails du profil
    Informations forums :
    Inscription : juin 2005
    Messages : 577
    Points : 240
    Points
    240
    Par défaut
    Citation Envoyé par PhilippeGibault Voir le message
    Code XML : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    6
    <!-- https://mvnrepository.com/artifact/org.apache.logging.log4j/log4j-core -->
    <dependency>
        <groupId>org.apache.logging.log4j</groupId>
        <artifactId>log4j-core</artifactId>
        <version>2.14.0</version>
    </dependency>

    trouvé grâce à des recherches dans le sitie maven repository.
    Oui mais l'erreur du log4j-core survient lorsque je lance dynamoDB, pas de l'application JEE elle-même.

  6. #6
    Membre averti
    Profil pro
    Inscrit en
    janvier 2009
    Messages
    181
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : janvier 2009
    Messages : 181
    Points : 307
    Points
    307
    Par défaut
    Même avec mvn clean et mvn install?


    Au pire,fermer l'Eclipse, aller dans le cache maven (C:\Users\phili\.m2\repository pour moi), puis en ligne de commande (c'est mieux), mvn clean install. Il retéléchargera toutes les librairies.

Discussions similaires

  1. Problème de datasource avec Spring+Hibernate
    Par _MattU_ dans le forum Spring
    Réponses: 1
    Dernier message: 04/10/2013, 22h30
  2. Réponses: 0
    Dernier message: 01/06/2009, 13h02
  3. problème de connexion avec datasource xml
    Par Flash31186 dans le forum iReport
    Réponses: 4
    Dernier message: 25/10/2007, 09h38
  4. Problème dans requête avec count()
    Par BadFox dans le forum Requêtes
    Réponses: 3
    Dernier message: 08/07/2003, 18h02
  5. Problèmes de versions avec Xalan, Xerces et Java
    Par honeyz dans le forum XML/XSL et SOAP
    Réponses: 4
    Dernier message: 05/06/2003, 10h18

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo